Groovy 1.7.0

## org.codehaus.groovy.antlr
Class SourceBuffer

    java.lang.Object
      org.codehaus.groovy.antlr.SourceBuffer

    class SourceBuffer
    extends Object

A simple buffer that provides line/col access to chunks of source code held within itself.

author:
  Jeremy Rayner

version:
  $Revision: 7922 $

Constructor Summary
`SourceBuffer()`

Method Summary
`String` | `getSnippet(LineColumn start, LineColumn end)` Obtains a snippet of the source code within the bounds specified
`void` | `write(int c)` Writes the specified character into the buffer

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SourceBuffer

    public SourceBuffer()

Method Detail

### getSnippet

    public String getSnippet(LineColumn start, LineColumn end)

  Obtains a snippet of the source code within the bounds specified
  param:
    start (inclusive line/ inclusive column)
  param:
    end (inclusive line / exclusive column)
  return:
    specified snippet of source code as a String, or null if no source available

### write

    public void write(int c)

  Writes the specified character into the buffer
  param:
    c

Copyright © 2003-2009 The Codehaus. All rights reserved.